Get a country by IOC code
Returns the country matching the given International Olympic Committee (IOC) country code.
Returns the country matching the given International Olympic Committee (IOC) country code.
Path Parameters
code*string
IOC country code.
Response Body
application/json
text/plain
curl -X GET "https://example.com/cioc/ISR"{ "name": "Israel", "topLevelDomain": [ ".il" ], "alpha2Code": "IL", "alpha3Code": "ISR", "callingCodes": [ "972" ], "capital": "Jerusalem", "altSpellings": [ "string" ], "subregion": "Western Asia", "region": "Asia", "population": 9216900, "latlng": [ 31.5, 34.75 ], "demonym": "Israeli", "area": 20770, "timezones": [ "UTC+02:00" ], "borders": [ "EGY", "JOR", "LBN", "SYR" ], "nativeName": "ישראל", "numericCode": "376", "flags": { "svg": "http://example.com", "png": "http://example.com" }, "currencies": [ { "code": "ILS", "name": "Israeli new shekel", "symbol": "₪" } ], "languages": [ { "iso639_1": "he", "iso639_2": "heb", "name": "Hebrew", "nativeName": "עברית" } ], "flag": "🇮🇱", "maps": { "googleMaps": "http://example.com", "openStreetMaps": "http://example.com" }, "populationDensity": 443.6}"Country not found"Get a country by numeric code GET
Returns the country matching the given ISO 3166-1 numeric code. Leading zeros are optional.
Geolocate an IP address GET
Returns the country for an IP address (IPv4 or IPv6), enriched with the full country record. Omit the IP (`GET /ip`) to geolocate the caller's own IP. A batch lookup of up to 100 IPs is available via `POST /ip` with a JSON array body. `GET /ip/info` returns metadata about the geolocation data source (provider, license, last updated).